#ifndef __PCIE_CONFIG_READ_H__
#define __PCIE_CONFIG_READ_H__

struct pcie_config_space{
	unsigned short vendor_id;
	unsigned short device_id;

	unsigned short command;
	unsigned short status;

	unsigned char rev_id;
	unsigned char prog_if;
	unsigned char subclass_code;
	unsigned char class_code;

	unsigned char cache_line_size;
	unsigned char latency_timer;
	unsigned char header_type;
	unsigned char bist;

	unsigned int bar0;
	unsigned int bar1;
	unsigned int bar2;
	unsigned int bar3;
	unsigned int bar4;
	unsigned int bar5;
	unsigned int cis;

	unsigned short subsystem_vendor_id;
	unsigned short subsystem_id;

	unsigned int erom_bar;

	unsigned char capabilities;
	unsigned char reserved0[3];

	unsigned char reserved1[4];

	unsigned char interrupt_line;
	unsigned char interrupt_pin;
	unsigned char min_grant;
	unsigned char max_latency;
};

#endif
