#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/mman.h>
#include <asm/page.h>
#include <arpa/inet.h>

#include "axi_ctrl.h"

int main(int argc,char **argv)
{
	struct axi_ctrl_env env;
	unsigned long value;
	if(argc < 2){ printf("usage: gpio_test value\n"); exit(0); }
	value = strtol(argv[1], NULL, 0);
	open_ctrl_map(&env);
//	env.gpio->dir = 0;
	env.gpio0->value = (unsigned int)(value & 0xFFFFFFFF);
//	env.gpio->dir = 1;
	close_ctrl_map(&env);
	return 0;
}
